<template>
  <StyleOne v-if="isStyleOne" />
  <StyleThree v-if="isStyleThree" :property-keys="['logo', 'announcement']" />
  <StyleFour v-if="isStyleFour" :property-keys="['logo', 'announcement']" />
</template>

<script lang="ts" setup>
import { store } from "~~/store";
import StyleOne from "~~/components/header-style-module/StyleOne.client.vue";
import StyleFour from "~~/components/header-style-module/StyleFour.client.vue";
import StyleThree from "~~/components/header-style-module/StyleThree.client.vue";

const themeProperties =
  store.state.companyThemePropertiesFromApi.ThemeProperties;
const headerStyle = themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "header_style"
);
const isStyleOne = headerStyle.Text === "header_1";
const isStyleThree = headerStyle.Text === "header_3";
const isStyleFour = headerStyle.Text === "header_4";
</script>
